function getcolumns(setdrawer) {
  return {
    columns: [
      {
        title: '操作时间',
        dataIndex: 'operateTime',
        key: 'operateTimeList',
        valueType: 'dateRange',
      },
      {
        title: '操作人',
        dataIndex: 'operateUserName',
        key: 'operateUserId',
        valueType: 'select',
        fieldProps: {
          dropdownMatchSelectWidth: 120,
          showSearch: true,
        },
        options: {
          path: '/auth/sysUser/selection',
          params: {},
        },
        hideInSearch: false,
        hideInTable: false,
      },
      {
        title: '备件料号',
        dataIndex: 'sparePartNo',
        key: 'sparePartNo',
        hideInSearch: false,
        hideInTable: false,
      },
      {
        title: '备件名称',
        dataIndex: 'sparePartName',
        key: 'sparePartName',
      },
      {
        title: '供应商编号',
        dataIndex: 'supplierNo',
        key: 'supplierNo',
      },
      {
        title: '供应商名称',
        dataIndex: 'supplierName',
        key: 'supplierName',
      },
      {
        title: '设备编号',
        dataIndex: 'equipmentNo',
        key: 'equipmentNo',
      },
      {
        title: '设备名称',
        dataIndex: 'equipmentName',
        key: 'equipmentName',
      },
      {
        title: '使用数量',
        dataIndex: 'operateNum',
        key: 'operateNum',
        search: false,
      },
      {
        title: '使用类型',
        dataIndex: 'operateTypeName',
        key: 'operateType',
        valueType: 'select',
        fieldProps: {
          dropdownMatchSelectWidth: 120,
        },
        options: [
          {
            value: '1',
            label: '寿命件更换',
          },
          {
            value: '2',
            label: '维修使用',
          },
          {
            value: '3',
            label: '保养使用',
          },
        ],
      },
      {
        title: '相关单号',
        dataIndex: 'relationNo',
        key: 'relationNo',
      },
    ],
    pathconfig: {
      enableadd: false,
      enableedit: false,
      enabledelete: false,
      enabledetail: false,
      add: '',
      edit: '',
      list: '/sparepart/lineStockAccess/queryList',
      delete: '',
      detail: '',
    },
  };
}
export default getcolumns;
